Bug 184014 - Policy prevents vbetool from running on resume from suspend
Policy prevents vbetool from running on resume from suspend
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Russell Coker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 19:42 EST by Tom London
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 14:55:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-03-04 19:42:51 EST
Description of problem:
When resuming after suspending the system (kernel-2.6.15-1.2009.4.2_FC5), it
appears that vbetool must run to setup the video properly. 

AVCs indicate that this may not be happening:

Running in Permissive mode, I get:
----
type=PATH msg=audit(03/04/2006 14:39:51.707:29) : item=1
flags=follow,open inode=1045516 dev=fd:00 mode=file,755 ouid=root
ogid=root rdev=00:00
type=PATH msg=audit(03/04/2006 14:39:51.707:29) : item=0
name=/usr/sbin/vbetool flags=follow,open inode=5794873 dev=fd:00
mode=file,755 ouid=root ogid=root rdev=00:00
type=CWD msg=audit(03/04/2006 14:39:51.707:29) :  cwd=/usr/share/hal/scripts
type=AVC_PATH msg=audit(03/04/2006 14:39:51.707:29) :  path=/var/run/vbestate
type=SYSCALL msg=audit(03/04/2006 14:39:51.707:29) : arch=i386
syscall=execve success=yes exit=0 a0=8a49e98 a1=8a49eb0 a2=8a4f980
a3=8a4f528 items=2 pid=2933 auid=unknown(4294967295) uid=root gid=root
euid=root suid=root fsuid=root egid=root sgid=root fsgid=root
comm=vbetool exe=/usr/sbin/vbetool
type=AVC msg=audit(03/04/2006 14:39:51.707:29) : avc:  denied  { write
} for  pid=2933 comm=vbetool name=vbestate dev=dm-0 ino=2777558
scontext=system_u:system_r:vbetool_t:s0
tcontext=system_u:object_r:hald_var_run_t:s0 tclass=file
----
type=PATH msg=audit(03/04/2006 14:40:31.194:30) : item=1
flags=follow,open inode=1045516 dev=fd:00 mode=file,755 ouid=root
ogid=root rdev=00:00
type=PATH msg=audit(03/04/2006 14:40:31.194:30) : item=0
name=/usr/sbin/vbetool flags=follow,open inode=5794873 dev=fd:00
mode=file,755 ouid=root ogid=root rdev=00:00
type=CWD msg=audit(03/04/2006 14:40:31.194:30) :  cwd=/usr/share/hal/scripts
type=AVC_PATH msg=audit(03/04/2006 14:40:31.194:30) :  path=/var/run/vbestate
type=SYSCALL msg=audit(03/04/2006 14:40:31.194:30) : arch=i386
syscall=execve success=yes exit=0 a0=9268650 a1=927d070 a2=9268980
a3=9268518 items=2 pid=3115 auid=unknown(4294967295) uid=root gid=root
euid=root suid=root fsuid=root egid=root sgid=root fsgid=root
comm=vbetool exe=/usr/sbin/vbetool
type=AVC msg=audit(03/04/2006 14:40:31.194:30) : avc:  denied  { read
} for  pid=3115 comm=vbetool name=vbestate dev=dm-0 ino=2777558
scontext=system_u:system_r:vbetool_t:s0
tcontext=system_u:object_r:hald_var_run_t:s0 tclass=file
----
type=AVC_PATH msg=audit(03/04/2006 14:40:31.222:31) :  path=/var/run/vbestate
type=SYSCALL msg=audit(03/04/2006 14:40:31.222:31) : arch=i386
syscall=ioctl success=no exit=-25(Inappropriate ioctl for device) a0=0
a1=4b3a a2=0 a3=bfc59044 items=0 pid=3115 auid=unknown(1515870810)
uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root
fsgid=root comm=vbetool exe=/usr/sbin/vbetool
type=AVC msg=audit(03/04/2006 14:40:31.222:31) : avc:  denied  { ioctl
} for  pid=3115 comm=vbetool name=vbestate dev=dm-0 ino=2777558
scontext=system_u:system_r:vbetool_t:s0
tcontext=system_u:object_r:hald_var_run_t:s0 tclass=file
----
type=PATH msg=audit(03/04/2006 14:40:33.010:32) : item=0
name=/dev/tty8 flags=follow inode=681 dev=00:0f mode=char,660
ouid=root ogid=tty rdev=04:08
type=CWD msg=audit(03/04/2006 14:40:33.010:32) :  cwd=/usr/share/hal/scripts
type=SYSCALL msg=audit(03/04/2006 14:40:33.010:32) : arch=i386
syscall=chown32 success=yes exit=0 a0=bf97d207 a1=0 a2=0 a3=bf97d2c4
items=1 pid=3126 auid=unknown(4294967295) uid=root gid=root euid=root
suid=root fsuid=root egid=root sgid=root fsgid=root comm=openvt
exe=/usr/bin/openvt
type=AVC msg=audit(03/04/2006 14:40:33.010:32) : avc:  denied  {
setattr } for pid=3126 comm=openvt name=tty8 dev=tmpfs ino=681
scontext=system_u:system_r:hald_t:s0
tcontext=system_u:object_r:tty_device_t:s0 tclass=chr_file
----

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.2.21-7


How reproducible:
Every time.

Steps to Reproduce:
1. Suspend
2. Resume, screen will not restore.
3. Examine /var/log/audit/audit.log after reboot.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2006-03-10 14:55:32 EST
Works in selinux-policy-targeted-2.2.23-15

Thanks Dan!

Note You need to log in before you can comment on or make changes to this bug.